Bug 18373 - glibc-2.1.3-15 fails to compile
glibc-2.1.3-15 fails to compile
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
6.2
sparc64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-04 22:49 EDT by tanner
Modified: 2016-11-24 10:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-04 22:49:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tanner 2000-10-04 22:49:42 EDT
% uname -a
Linux warlock 2.2.16 #1 Wed Jun 14 17:19:24 CDT 2000 sparc64 unknown

% gcc -v
Reading specs from /usr/lib/gcc-lib/sparc-redhat-linux/egcs-2.91.66/specs
gcc version egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)

% rpm -q binutils
binutils-2.9.5.0.22-6

% rpm --rebuild glibc-2.1.3-21.src.rpm
<snip>
make[2]: Entering directory `/usr/src/redhat/BUILD/glibc-2.1.3/csu'
collect2: ld terminated with signal 11 [Segmentation fault], core dumped
/usr/bin/ld: warning: sparc:v9 architecture of input file
`/usr/src/redhat/BUILD/glibc-2.1.3/build-sparc-linux/csu/start.o' is
incompatible with sparc output
/usr/bin/ld: warning: sparc:v9 architecture of input file
`/usr/src/redhat/BUILD/glibc-2.1.3/build-sparc-linux/csu/abi-note.o' is
incompatible with sparc output/usr/bin/ld: warning: sparc:v9 architecture
of input file
`/usr/src/redhat/BUILD/glibc-2.1.3/build-sparc-linux/csu/init.o' is
incompatible with sparc output
/usr/bin/ld: bfd assertion fail elflink.h:2253
/usr/bin/ld: bfd assertion fail elflink.h:5101
/usr/bin/ld: bfd assertion fail elflink.h:5125
make[2]: ***
[/usr/src/redhat/BUILD/glibc-2.1.3/build-sparc-linux/csu/crt1.o] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/glibc-2.1.3/csu'
make[1]: *** [csu/subdir_lib] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/glibc-2.1.3'
make: *** [all] Error 2
Bad exit status from /var/tmp/rpm-tmp.31616 (%build)
Comment 1 Jakub Jelinek 2000-10-05 01:30:08 EDT
Operator error. To build sparc.rpm packages on a sparc64 box, you need
to run sparc32 program first:
either
$ sparc32 sh
and run rpm from that session
or
$ sparc32 rpm -ba -v ...
Otherwise you're building a 64bit package, and glibc 2.1.3 is not
supported on sparc64, neither you have appropriate compiler in 6.2,
etc.
glibc 2.2 and onwards will support 64bit userland though...

Note You need to log in before you can comment on or make changes to this bug.